Add simple configurable schedule line

This requests adds a configurable payment schedule using the "simple" configuration option.

   Click here to learn more about this request

Configurable payment schedules allow lenders to create customizable payment schedules in for a determined amount of payment periods. For example, a loan product might offer an introductory 5% interest rate on the first three periods of a loan but a 15% interest rate for the remaining periods.

This request uses the "simple" option configuration option which uses fewer parameters than the standard configurable payment schedule tool. Note the following when using the simple payment schedule tool:

Configurable payment schedules will only affect loan accounts that are not currently activated. Adding a configurable payment schedule to an activated loan will not alter its payment schedule.

The overwrite function allows users to place a custom payment schedule during a separate schedule. This is most useful when a payment already exists and should not be altered.

For an example of how configurable payment schedules work within the UI, take a look at our Create a Configurable Payment Schedule article.

Database

For information regarding configurable payment schedule database tables, see the following articles:

Database – Loan Schedule Roll Entity (loan_schedule_roll_entity)

Database – Schedule Roll Template (schedule_roll_template_entity)

{
    "payment": "125.00",
    "date": "2024-07-22",
    "revertSchedule": 1,
    "term": 3,
    "overwrite": 1,
    "interestRate": "0.00"
}
Path Params
int32
required

The ID of the loan account.

Body Params
int32
required

The duration of the custom payment schedule as determined by how many payment periods it spans.

float
required

The payment amount in dollars.

date
required

The date on which the custom payment schedule begins.

int32

Determines whether to overwrite existing custom payment schedules. Using this function will add the custom payment schedule without influencing the original terms.
> A payment schedule must already exist on the account to use the overwrite function.

int32

Determines whether to revert to the original loan terms once the configurable payment schedule ends.
> 1 - yes, 0 - no

float

The targeted Annual Percentage Rate during the payment schedule.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json